package main

import (
	"context"
	"flag"
	"log"
	"os"

	"github.com/jacobsa/fuse"
	"github.com/jacobsa/fuse/samples/hellofs"
	"github.com/jacobsa/timeutil"
)


func main() {
	flag.Parse()
	if len(flag.Args()) != 1 {
		log.Fatalf("usage: %s <mntpt>", os.Args[0])
	}
	mntpt := flag.Args()[0]

	server, err := hellofs.NewHelloFS(timeutil.RealClock())
	if err != nil {
		log.Fatal(err)
	}

	mfs, err := fuse.Mount(mntpt, server, &fuse.MountConfig{})
	if err != nil {
		log.Fatal(err)
	}

	err = mfs.Join(context.Background())
	if err != nil {
		log.Fatal(err)
	}
}
